Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.4.2-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           classpathx-jaxp
Version:        1.0
Release:        alt3_0.1.beta1.10jpp1.7
Epoch:          0
Summary:        Java XML parser
License:        GPL with library exception
Source0:        ftp://ftp.gnu.org/pub/gnu/classpathx/gnujaxp-1.0beta1.zip
Source1:        %{name}.sh
Patch0:         %{name}-build.patch
URL:            http://www.gnu.org/software/classpathx/jaxp/
Group:          Development/Java
Requires: xml-commons-apis alternatives >= 0:0.2.0-alt0.12
BuildRequires: xml-commons-apis jpackage-utils >= 0:1.5
Provides:       jaxp_parser_impl
Obsoletes:      gnujaxp <= 0:1.0-0.beta1.7jpp
BuildArch:      noarch

%description
GNU JAXP, a part of the GNU Classpath Extensions project (hosted at
savannah.gnu.org) is a free implementation of the standard XML processing
APIs for Java:
- SAX Parser API
- DOM Level 2 generic XML data structures
- Sun's JAXP v1.1 interfaces

%package        javadoc
Summary:        Javadoc for %{name}
Summary(fr):    Javadoc pour %{name}
Group:          Development/Documentation
BuildRequires: java-javadoc
Obsoletes:      gnujaxp-javadoc <= 0:1.0-0.beta1.7jpp

%description    javadoc
Javadoc for %{name}.

%description    javadoc -l fr
Javadoc pour %{name}.

%package        scripts
Summary:        Additional utility scripts for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils >= 0:1.5
Obsoletes:      gnujaxp-scripts <= 0:1.0-0.beta1.7jpp

%description    scripts
Additional utility scripts for %{name}.


%prep
%setup -q -n gnujaxp-%{version}beta1
%patch0 -p1
# remove all binary libs and other non-needed stuff.
find . -name "*.jar" -exec rm -f {} \;
rm -rf apidoc source/javax source/org/w3c


%build
./configure
export CLASSPATH=$(build-classpath xml-commons-apis)
export JAVADOCFLAGS="-link %{_javadocdir}/java"
%{__make} all


%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p gnujaxp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# jaxp_parser_impl ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/jaxp_parser_impl.jar
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/jaxp_parser_impl_%{name}<<EOF
%{_javadir}/jaxp_parser_impl.jar	%{_javadir}/%{name}.jar	15
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/*


%post
%register_alternatives jaxp_parser_impl_%{name}

%preun
{
  [ $1 -eq 0 ] || exit 0
  %unregister_alternatives jaxp_parser_impl_%{name}
} >/dev/null 2>&1 || :

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%_altdir/jaxp_parser_impl_%{name}
%doc COPYING COPYRIGHT.html LICENSE README
%{_javadir}/%{name}*.jar
%exclude %{_javadir}/jaxp_parser_impl.jar

%files scripts
#%defattr(0755,root,root,0755)
%{_bindir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sat Oct 18 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt3_0.1.beta1.10jpp1.7
- fixed build

* Sat Apr 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.1.beta1.10jpp1.7
- fixed script permissions

* Fri Jun 08 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.1.beta1.10jpp1.7
- converted from JPackage by jppimport script

